<!DOCTYPE html>
<head>  
    {% load static from staticfiles %}
    {% load materializecss %}
    <title>Movie Lists</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/css/materialize.css">
    <link rel="stylesheet" href="{% static 'task_09/css/movies.css' %}">
    <script type="text/javascript"
        src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/js/materialize.js">    
    </script>
    <script type="text/javascript" src="https://code.jquery.com/jquery-3.3.1.js"></script>

    <script type="text/javascript" src="{% static 'task_09/js/movies.js' %}"></script>
</head>
<body>
    <div class="container">
        <br>
        <div class="card-panel">
            <div class="card-content">
                <div class="center-align">
                    <p class='flow-text orange-text'>{{ title }}</p>
                    <h6>{{ description}} </h6><br>
                    <form id="search_bar">
                        {% csrf_token %}
                        <div class="input-field">
                            {{ search_bar.book_name | materializecss }}
                        </div>
                    </form>
                    <div class="row center-align">
                        <button class="waves-effect waves-light blue darken-2 btn" onclick="find_books()"><i class="material-icons left">send</i>Find Your Book</button>
                        <button id="reveal_book_btn" class="waves-effect waves-light green darken-2 btn" onclick="reveal_books()">
                            Show Availabe Books
                        </button>
                    </div>
                </div>
                <div id="loadingCard" class="hide card-panel center-align cyan darken-2">
                    <b><span id="loading" class="white-text"> Searching books, Please wait...</span></b>
                </div>
                <div id="successCard" class="hide card large center-align green">
                    <b><span id="success" class="white-text"></span></b>
                </div>
                <div id="errorCard" class="hide card-panel center-align red">
                    <b><span id="error" class="white-text"></span></b>
                </div>
                <div class="hide" id="books-found-table">
                    <table>
                        <tbody>
                            <div id="books-data"></div>
                        </tbody>
                    </table>
                </div>
                <div class="hide" id="availabe_books">
                    <p class="flow-text center-align"> Current Liked Books : <span id="book-counter">{{ liked_books }}</span></p>
                    <table>
                        <thead>
                            <tr>
                                <th>No</th>
                                <th>Book Title</th>
                                <th>Publisher</th>
                                <th>Author</th>
                                <th>Description</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for item in book_items.books %}
                            <tr>
                            <td>{{ forloop.counter }}</td>
                            <td>{{ item.title }}</td>
                            <td>{{ item.publisher }}</td>
                            <td>{{ item.authors }}</td>
                            <td>
                                <button class="waves-effect waves-light blue darken-2 btn-small modal-trigger" href="#book-{{ forloop.counter }}" >Open </button>
                            </td>
                            <td>
                                <button id="book-{{ forloop.counter }}"
                                    class="waves-effect waves-light btn-small orange" value="notAdded"
                                    onclick='likeBook("book-{{ forloop.counter }}")'> Like
                                </button>
                            </td>
                            </tr>
                            <div id="book-{{ forloop.counter }}" class="modal">
                                <div class="modal-content">
                                    <h5>{{ item.title }}</h5>
                                    <div class="divider"></div><br>
                                    <div class="row">
                                        <div class="col s3">
                                            <img class="responsive-img large" src="{{ item.image_link }}">
                                        </div>
                                        <div class="col s9">
                                            <p>{{ item.description }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <a class="modal-close waves-effect waves-green btn-flat">Close</a>
                                </div>
                            </div>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</body>